$id: 'https://myome.com/schema/0.0.1/ids.json'
$schema: 'http://json-schema.org/draft-07/schema#'

title: 'Id types'
description: 'CURIE-like strings formats used for myome identifiers'
type: object

definitions:
  DataSetId: 
    type: string
    pattern: '^DS-\d+$'
    examples:
      - 'DS-001234'
  ProductId:
    type: string
    pattern: '^PR-\d+'
    examples:
      - 'PR-123456'
  ReportId: # LIMS WILL GENERATE and we'll want to inject into report
    type: string
    pattern: '^R-\d+$'
    examples:
      - 'R-01234567'
  RequisitionId:
    type: string
    pattern: '^RQ-\d+$'   
    examples:
      - 'RQ-1234567'
  RunId: 
    type: string
    pattern: '^RU-\d+$'
    examples:
      - 'RU-123456'
  SampleId: 
    type: string
    pattern: '^SM-\d+$'
    examples:
      - 'SM-123456'
  TestId: #TBD
    type: string
    pattern: '^T-'
    examples:
      - 'T-acmg59'
  WorkflowId: 
    type: string
    pattern: '^myome:wf/'
    examples:
      - myome:wf/nf_pgr_sf/1.2.3
      - myome:wf/nf_fastq_to_bam/0123abc

